﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kucica_racun
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Kućica";
            BackColor = Color.White;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Brush zutaCetka = new SolidBrush(Color.Yellow);
            Brush crvenaCetka = new SolidBrush(Color.Red);
            Brush neboPlavaCetka = new SolidBrush(Color.SkyBlue);
            Brush braonCetka = new SolidBrush(Color.Brown);
            Pen olovka = new Pen(Color.Black);
            int xc = ClientSize.Width / 2;

            int marginaGore = 20;
            int visinaKrova = 100;
            int sirinaKuce = 180;
            int visinaKuce = 160;
            int stranicaProzora = 50;
            int krov_prozor = 20;
            int prozor_prozor = 40;
            int sirinaVrata = 60;
            int visinaVrata = 80;

            Point kucaGL = new Point(xc - sirinaKuce / 2, marginaGore + visinaKrova);
            Point[] krov = new Point[] { kucaGL, new Point(xc, marginaGore), new Point(kucaGL.X + sirinaKuce, kucaGL.Y) };
            Point LeviProzorGL = new Point(xc - prozor_prozor / 2 - stranicaProzora, kucaGL.Y + krov_prozor);
            Point DesniProzorGL = new Point(LeviProzorGL.X + stranicaProzora + prozor_prozor, LeviProzorGL.Y);
            Point VrataGL = new Point(xc - sirinaVrata / 2, kucaGL.Y + visinaKuce - visinaVrata);

            // zidovi kuce
            g.FillRectangle(zutaCetka, kucaGL.X, kucaGL.Y, sirinaKuce, visinaKuce);
            
            // krov
            g.FillPolygon(crvenaCetka, krov);

            // levi prozor
            g.FillRectangle(neboPlavaCetka, LeviProzorGL.X, LeviProzorGL.Y, stranicaProzora, stranicaProzora);

            // leva vodoravna lajsna
            g.DrawLine(olovka, 
                LeviProzorGL.X, LeviProzorGL.Y + stranicaProzora / 2, 
                LeviProzorGL.X + stranicaProzora, LeviProzorGL.Y + stranicaProzora / 2);
            
            // leva uspravna lajsna
            g.DrawLine(olovka,
                LeviProzorGL.X + stranicaProzora / 2, LeviProzorGL.Y,
                LeviProzorGL.X + stranicaProzora / 2, LeviProzorGL.Y + stranicaProzora);

            // desni prozor
            g.FillRectangle(neboPlavaCetka, DesniProzorGL.X, DesniProzorGL.Y, stranicaProzora, stranicaProzora);

            // desna vodoravna lajsna
            g.DrawLine(olovka,
                DesniProzorGL.X, DesniProzorGL.Y + stranicaProzora / 2,
                DesniProzorGL.X + stranicaProzora, DesniProzorGL.Y + stranicaProzora / 2);

            // leva uspravna lajsna
            g.DrawLine(olovka,
                DesniProzorGL.X + stranicaProzora / 2, DesniProzorGL.Y,
                DesniProzorGL.X + stranicaProzora / 2, DesniProzorGL.Y + stranicaProzora);

            // vrata
            g.FillRectangle(braonCetka, VrataGL.X, VrataGL.Y, sirinaVrata, visinaVrata);         
        }
    }
}
