﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KrdoZirafa
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(300, 300);
            Text = "Žirafe";
            BackColor = Color.Green;
        }

        private void CrtajMnogougao(Graphics g, Point[] temena, Color boja, int x0, int y0, float k)
        {
            Point[] novaTemena = new Point[temena.Length];
            for (int i = 0; i < temena.Length; i++)
            {
                int x = (int)(0.5f + x0 + k * temena[i].X);
                int y = (int)(0.5f + y0 + k * temena[i].Y);
                novaTemena[i] = new Point(x, y);
            }

            g.FillPolygon(new SolidBrush(boja), novaTemena);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            Point[] zirafa = new Point[] {
                new Point(40, 208), new Point(40, 107), new Point(88, 82), new Point(134, 13),
                new Point(128, 9), new Point(134, 13), new Point(137, 11), new Point(128, 6),
                new Point(160, 25), new Point(159, 28), new Point(136, 28), new Point(98, 101),
                new Point(100, 106), new Point(101, 207), new Point(97, 207), new Point(95, 164),
                new Point(83, 121), new Point(85, 128), new Point(54, 128), new Point(55, 119),
                new Point(44, 165), new Point(44, 208)
            };

            Point[] poz = new Point[] { new Point(30, 35), new Point(0, 0),
                new Point(100, 10), new Point(50, 65), new Point(80, 130) };

            float[] velicina = new float[] { 0.4f, 1.1f, 0.7f, 0.9f, 0.8f };

            Color[] boja = new Color[] { Color.DarkKhaki, Color.Khaki,
                Color.DarkKhaki, Color.Peru, Color.DarkGoldenrod };

            for (int i = 0; i < 4; i++)
                CrtajMnogougao(g, zirafa, boja[i], poz[i].X, poz[i].Y, velicina[i]);

        }
    }
}
