﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HiperKocka
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(500, 500);
            Text = "Hiperkocka";
            BackColor = Color.LightGray;
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            int nDim = (int)nBrojDimenzija.Value;

            // (dx[i], dy[i]) je projekcija jedinicnog vektora i-te ose
            int[] dx = new int[] { 200, 0, 100, 10, -30, 100 };
            int[] dy = new int[] { 0, 200, -80, 10, -50, 50 };

            // Lista 'temena' predstavlja koordinate projekcija temena hiperkocke
            List<Point> temena = new List<Point>();

            // Svaka ivica je zadata sa dva indeksa u listi 'temena'
            List<Tuple<int, int>> ivice = new List<Tuple<int, int>>(); 

            // Racunanje temena i ivica
            temena.Add(new Point(50, 150));
            for (int dim = 0; dim < nDim; dim++)
            {
                int brTemena = temena.Count;
                int brIvica = ivice.Count;
                for (int i = 0; i < brTemena; i++)
                {
                    temena.Add(new Point(temena[i].X + dx[dim], temena[i].Y + dy[dim]));
                    ivice.Add(new Tuple<int, int>(i, brTemena + i));
                }

                for (int i = 0; i < brIvica; i++)
                {
                    int a = ivice[i].Item1 + brTemena;
                    int b = ivice[i].Item2 + brTemena;
                    ivice.Add(new Tuple<int, int>(a, b));
                }
            }

            // Crtanje temena i ivica
            Graphics g = e.Graphics;
            Brush cetka = new SolidBrush(Color.Black);
            foreach (var teme in temena)
                g.FillEllipse(cetka, teme.X - 5, teme.Y - 5, 10, 10);

            Pen olovka = new Pen(Color.Black);
            foreach (var ivica in ivice)
                g.DrawLine(olovka, 
                    temena[ivica.Item1].X, temena[ivica.Item1].Y, 
                    temena[ivica.Item2].X, temena[ivica.Item2].Y);
        }

        private void nBrojDimenzija_ValueChanged(object sender, EventArgs e)
        {
            Invalidate();
        }
    }
}
