﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kutije
{
    public partial class Form1 : Form
    {
        Point ortI = new Point(30, 15);
        Point ortJ = new Point(-50, 20);
        Point ortK = new Point(0, -40);

        public Form1()
        {
            InitializeComponent();
            Text = "Kutije";
            BackColor = Color.LightGray;
            ResizeRedraw = true; // forsira iscrtavanje cele forme pri njenom povecanju 
        }

        private void CrtajKutiju(Graphics g, Point A, int h)
        {
            Brush cetkaPrednja = new SolidBrush(Color.Yellow);
            Brush cetkaBocna = new SolidBrush(Color.Brown);
            Brush cetkaGornja = new SolidBrush(Color.Khaki);

            Point B = new Point(A.X - ortJ.X, A.Y - ortJ.Y);
            Point C = new Point(B.X - ortI.X, B.Y - ortI.Y);
            Point D = new Point(A.X - ortI.X, A.Y - ortI.Y);
            Point A1 = new Point(A.X + h * ortK.X, A.Y + h * ortK.Y);
            Point B1 = new Point(B.X + h * ortK.X, B.Y + h * ortK.Y);
            Point C1 = new Point(C.X + h * ortK.X, C.Y + h * ortK.Y);
            Point D1 = new Point(D.X + h * ortK.X, D.Y + h * ortK.Y);
            g.FillPolygon(cetkaBocna, new Point[] { A, D, D1, A1 });
            g.FillPolygon(cetkaPrednja, new Point[] { A, B, B1, A1 });
            g.FillPolygon(cetkaGornja, new Point[] { A1, B1, C1, D1 });
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;
            int n = (int)nBrojRedova.Value;
            for (int red = 0; red < n; red++)
            {
                for (int kol = 0; kol < n - red; kol++)
                {
                    int x = ClientSize.Width / 2 + red * ortJ.X + kol * ortI.X;
                    int y = 2*ClientSize.Height / 3 + red * ortJ.Y + kol * ortI.Y;
                    int h = Math.Max(n - red - kol, 0);
                    CrtajKutiju(g, new Point(x, y), h);
                }
            }
        }

        private void nBrojRedova_ValueChanged(object sender, EventArgs e)
        {
            Invalidate();
        }
    }
}
