﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Preplet
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            Text = "Preplet";
            BackColor = Color.Gray;
            ResizeRedraw = true; // forsira iscrtavanje cele forme pri njenom povecanju 
        }

        private void PrepletPrviNacin(Graphics g)
        {
            Brush crnaCetka = new SolidBrush(Color.Black);
            Brush belaCetka = new SolidBrush(Color.White);

            // dimenzije table i polja
            int brojPolja = 10;
            float sirinaPolja = (float)ClientSize.Width / brojPolja;
            float visinaPolja = (float)ClientSize.Height / brojPolja;
            float d = Math.Min(sirinaPolja, visinaPolja) / 3;

            for (int i = 0; i < brojPolja; i++) // bele vodoravne pruge
                g.FillRectangle(belaCetka, 0, i * visinaPolja + d, ClientSize.Width, d);

            for (int i = 0; i < brojPolja; i++) // crne uspravne pruge
                g.FillRectangle(crnaCetka, i * sirinaPolja + d, 0, d, ClientSize.Height);

            // prolazimo kroz sve preseke
            for (int i = 0; i < brojPolja; i++)
                for (int j = 0; j < brojPolja; j++)
                    // bojimo preseke gde treba da je bela preko crne
                    if ((i + j) % 2 != 0)
                        g.FillRectangle(belaCetka, i * sirinaPolja + d, j * visinaPolja + d, d, d);
        }

        private void PrepletDrugiNacin(Graphics g)
        {
            Brush crnaCetka = new SolidBrush(Color.Black);
            Brush belaCetka = new SolidBrush(Color.White);

            // dimenzije table i polja
            int brojPolja = 10;
            float sirinaPolja = (float)ClientSize.Width / brojPolja;
            float visinaPolja = (float)ClientSize.Height / brojPolja;
            float d = Math.Min(sirinaPolja, visinaPolja) / 3;

            // prolazimo kroz sva polja
            for (int i = 0; i < brojPolja; i++)
                for (int j = 0; j < brojPolja; j++)
                    // bojimo crna polja
                    if ((i + j) % 2 != 0)
                    {
                        g.FillRectangle(crnaCetka, i * sirinaPolja + d, j * visinaPolja, d, visinaPolja);
                        g.FillRectangle(belaCetka, i * sirinaPolja, j * visinaPolja + d, sirinaPolja, d);
                    }
                    else
                    {
                        g.FillRectangle(belaCetka, i * sirinaPolja, j * visinaPolja + d, sirinaPolja, d); 
                        g.FillRectangle(crnaCetka, i * sirinaPolja + d, j * visinaPolja, d, visinaPolja);
                    }
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            //PrepletPrviNacin(e.Graphics);
            PrepletDrugiNacin(e.Graphics);
        }
    }
}
