﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OblaciVelicina
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ClientSize = new Size(400, 400);
            Text = "Oblaci";
            BackColor = Color.SkyBlue;
        }

        // Funkcija koja crta oblak na datoj poziciji, date velicine, u datoj nijansi sive boje
        private void Oblak(Graphics g, int xc, int yc, int r, int siva)
        {
            Color boja = Color.FromArgb(siva, siva, siva);
            Brush cetka = new SolidBrush(boja);
            // crtamo oblak od tri kruga
            g.FillEllipse(cetka, xc - r, yc - r, 2 * r, 2 * r);
            int rMalo = (int)Math.Round(3.0 * r / 5.0);
            g.FillEllipse(cetka, xc - r - rMalo, yc - rMalo, 2 * rMalo, 2 * rMalo);
            g.FillEllipse(cetka, xc + r - rMalo, yc - rMalo, 2 * rMalo, 2 * rMalo);
        }

        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            Graphics g = e.Graphics;

            // crtamo sunce
            g.FillEllipse(new SolidBrush(Color.Yellow), 20, 20, 160, 160);

            Oblak(g, 240, 200, 40, 180);
            Oblak(g, 270, 250, 50, 210);
            Oblak(g, 230, 100, 50, 230);
            Oblak(g, 80, 80, 30, 190);
            Oblak(g, 110, 320, 60, 255);
            Oblak(g, 280, 70, 20, 210);
            Oblak(g, 310, 80, 15, 220);
            Oblak(g, 330, 55, 15, 240);
        }
    }
}
